#include <stdio.h>
#include <string.h>
#include <unistd.h>

int buffer[10];
int anotherbuffer[10];

void printbuffer(int *buf, size_t bufsize)
{
    for (size_t i = 0; i < bufsize; ++i)
    {
        printf("Buf[%i] @ %p: %i\n", i, &buf[i], buf[i]);
    }
}

int main(void)
{
    memset(buffer, 0, sizeof(buffer));
    memset(anotherbuffer, 0, sizeof(buffer));

    puts("Printing buffer 1");
    printbuffer(buffer, sizeof(buffer) / sizeof(int));
    puts("Printing buffer 2");
    printbuffer(anotherbuffer, sizeof(anotherbuffer) / sizeof(int));

    for(int i = 0; i < 11; ++i)
    {
        buffer[i] = i;
    }

    puts("Printing buffer 1");
    printbuffer(buffer, sizeof(buffer) / sizeof(int));
    puts("Printing buffer 2");
    printbuffer(anotherbuffer, sizeof(anotherbuffer) / sizeof(int));

    return 0;
}
